Subject: Re: [RFC] powerpc: Enable UBSAN support

From: Andrew Donnellan <[email-masked]>
Date: Tue, 15 Dec 2015 13:40:26 +1100

On 10/12/15 11:42, Daniel Axtens wrote:
> This hooks up UBSAN support for PowerPC.
>
> So far it's found some interesting cases where we don't properly sanitise
> input to shifts, including one in our futex handling. Nothing critical,
> but interesting and worth fixing.
>
> CC: Andrey Ryabinin <[email-masked]>
> ---
>
> This to be applied on top of next with Andrey's patches:
>   1) https://patchwork.kernel.org/patch/7761341/
>   2) https://patchwork.kernel.org/patch/7761351/
>   3) https://patchwork.kernel.org/patch/7761361/
>   4) https://patchwork.kernel.org/patch/7785791/
>
> This is RFC for a couple of reasons:
>
>   - I'd like the original patches to
>     s/ARCH_HAS_UBSAN_SANTIZE_ALL/ARCH_HAS_UBSAN_SAN*I*TIZE_ALL/
>     (I'm about to send an email about that)
>
>   - I've only tested on LE pseries so far - I want to test on powernv,
>     and on BE.
>
> Signed-off-by: Daniel Axtens <[email-masked]>

I tested this patch as found in linux-next, along with the SANITIZE_ALL 
typo fix, on a big-endian BML system, with gcc 5.2.1. It successfully 
picked up one of the shift input issues that Daniel found, so therefore...

Tested-by: Andrew Donnellan <[email-masked]>

-- 
Andrew Donnellan              Software Engineer, OzLabs
[email-masked]  Australia Development Lab, Canberra
+61 2 6201 8874 (work)        IBM Australia Limited